# Uses of Class
org.apache.avro.SchemaBuilder.EnumDefault

Packages that use SchemaBuilder.EnumDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.EnumDefault in org.apache.avro

Methods in org.apache.avro that return types with arguments of type SchemaBuilder.EnumDefault
Modifier and Type
Method
Description
`final SchemaBuilder.EnumBuilder<SchemaBuilder.EnumDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`enumeration(String name)`
Build an Avro enum type.
`SchemaBuilder.EnumBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.EnumDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`enumeration(String name)`
Build an Avro enum type.